Page MenuHomePhabricator

[AMDGPU] Do not clause NSA instructions
ClosedPublic

Authored by critson on May 10 2021, 7:58 PM.

Details

Summary

To ensure correct behaviour NSA instructions should not be claused.

Diff Detail

Event Timeline

critson created this revision.May 10 2021, 7:58 PM
critson requested review of this revision.May 10 2021, 7:58 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 10 2021, 7:58 PM
critson updated this revision to Diff 344280.May 10 2021, 8:20 PM
  • Rebase on pre-commit tests.
foad added a comment.May 11 2021, 5:08 AM

As I understand it, this is only needed for GFX10.1, not for GFX10.3. So I think it probably deserves its own target feature which would be included in GFX10_1_Bugs.

llvm/lib/Target/AMDGPU/SIInsertHardClauses.cpp
80

Maybe sink this down to just before we return HARDCLAUSE_VMEM?

As I understand it, this is only needed for GFX10.1, not for GFX10.3. So I think it probably deserves its own target feature which would be included in GFX10_1_Bugs.

You're right, this is only needed for GFX10.1.

critson updated this revision to Diff 344624.May 11 2021, 6:20 PM
  • Rebase
  • Contain in GFX10.1 specific bug feature
foad accepted this revision.May 12 2021, 1:32 AM

LGTM, thanks!

This revision is now accepted and ready to land.May 12 2021, 1:32 AM
This revision was automatically updated to reflect the committed changes.